.circle-button {
  display: inline-block;
  position: relative;
  width: 40px;
  height: 40px;
  background-color: #f2f2f2;
  border-radius: 50%;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.circle-button:hover {
  background-color: #e0e0e0;
}

.circle-button i {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 24px;
  color: #555555;
}

.circle-buttonPresenta i {
  color: #06c;
}



.circle-button input.hidden {
  display: none;
}

.circle-buttonDeleteRow {
  display: inline-block !important;
  position: absolute;
  width: 40px !important;
  height: 40px !important;
  background-color: #f2f2f2;
  border-radius: 50%;
  cursor: pointer;
  transition: background-color 0.3s ease;
	margin-top: -3.9em!important;
    margin-left: 12em !important;
}

.circle-buttonDeleteRowAutoAmbientali {
    margin-left: 42em !important;
}

.circle-buttonDeleteRowVoucher {
    margin-left: 21em !important;
}

.circle-buttonDeleteRow:hover {
  background-color: #e0e0e0;
}

.circle-buttonDeleteRow i {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 24px;
  color: #555555;
}

.circle-buttonDeleteRow input.hidden {
  display: none;
}

.circleButtonSalvaSoggetto {
    margin-top: -1.9em!important;
    margin-left: 1em !important;	
}

